org.apache.jmeter.engine.event

## Interface LoopIterationListener

- All Known Subinterfaces:
    IteratingController
  All Known Implementing Classes:
    CompareAssertion, ConstantTimer, CounterConfig, CSVDataSet, ForeachController, GaussianRandomTimer, LoopController, OnceOnlyController, PoissonRandomTimer, RandomTimer, RandomVariableConfig, ThroughputController, UniformRandomTimer, UserParameters, WhileController

      public interface LoopIterationListener

  Allows a class to receive loop iteration start events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `iterationStart(LoopIterationEvent iterEvent)` Called when a loop iteration is about to start.

- - ### Method Detail

    - #### iterationStart

          void iterationStart(LoopIterationEvent iterEvent)

      Called when a loop iteration is about to start.
      Parameters:
        `iterEvent` - the event

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.